#ifndef CATEGORY_H
#define CATEGORY_H
#include "data.h"

class Category :public Data
{
public:
    Category();
    Category(QString name);
    ~Category();
    virtual bool Add(Data *data);
    virtual bool Remove(Data *data);
    virtual Data* GetChild(int number);
    virtual Category* GetCategory();
    virtual QVector<int> GetKihonCapability();
    virtual int GetKihonCapability(int);
    virtual bool SetKihonCapability(QVector<int>);
    virtual QVector<int> GetSentouCapability();
    virtual int GetSentouCapability(int);
    virtual bool SetSentouCapability(QVector<int>);
    virtual QList<Data*> getAutoGetTokugiList();
    virtual bool addAutGetTokugiList(Data *tokugi);
    virtual QTableWidget* getTokugiTableWidget();
    virtual bool addTokugiTableWidget(QTableWidget *qw);

protected:
    QList<Data*> _childList;
    QVector<int> _kihonCapability;
    QVector<int> _sentouCapability;
    QTableWidget* _tokugiTableWidget;
    QList<Data*> _autoGetTokugiList;
};

#endif // CATEGORY_H
